import { OnInit, EventEmitter, DoCheck, SimpleChanges, OnChanges, ChangeDetectorRef } from '@angular/core';
import { ItemService } from '../../../../item-types/components/item-service/item-service.service';
import { DomSanitizer } from '@angular/platform-browser';
import { QuizService } from '../../../../shared/service/quiz.service';
export declare class HotspotSvgComponent implements OnInit, DoCheck, OnChanges {
    itemService: ItemService;
    _DomSanitizationService: DomSanitizer;
    private quizService;
    private cd;
    shapeDetails: any;
    type: any;
    shapeType: number;
    hotspotDetails: any;
    questionDetails: any;
    isDrawStart: boolean;
    userAnswer: any;
    imageWidth: number;
    imageHeight: number;
    userAnswerValue: any;
    path: string;
    assets: any;
    answerX: any;
    answerY: any;
    imagePathLocal: string;
    imageSrc1: any;
    correctAnswerDetails: any;
    dimension: any;
    clearAnswer: boolean;
    constructor(itemService: ItemService, _DomSanitizationService: DomSanitizer, quizService: QuizService, cd: ChangeDetectorRef);
    userAnswerFromChild: EventEmitter<any>;
    accessType: any;
    accessTypeCorrect: any;
    accessTypeUser: any;
    userAnswerDetails: any;
    imageType: string;
    imagePath: any;
    isClearAnswer: boolean;
    hideLabel: boolean;
    selectedTheme: any;
    fontSize: any;
    set setAnswerDetails(value: any);
    set imageSrcCurrent(value: any);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    drawToggle(event: any): void;
    imageLoaded: () => void;
    assignShapeDetails(): void;
    drawCross(): string;
    onRightClick(): boolean;
    splitStringForType(type: any, value: any): string;
}
